//
// Berlin Brown
//
// $Id: HyperPortal.java,v 1.1 2004/04/29 12:52:31 bigbinc Exp $
//
// 
package org.retro.gis;

import java.util.*;
import java.sql.*;
import java.io.*;



public class HyperPortal {
    

    Connection conn = null;

    public HyperPortal() {
    } // ... 
    
    public void connect() {

	Statement _stmt = null;

	try {

	    Class.forName("org.hsqldb.jdbcDriver");
	    
	    conn =
		DriverManager.getConnection("jdbc:hsqldb:hyper/testhyper", "sa", "");

	    _stmt = conn.createStatement();
	    	  
	    try {

		_stmt.executeUpdate("DROP TABLE HYPERTEST");

	    } catch (SQLException e) {

		e.printStackTrace();

	    } // end of try - cat

	    _stmt.execute("CREATE TABLE HYPERTEST"
			 + "(FILENAME VARCHAR(255), DESC VARCHAR(255))");

	    _stmt.close();


	    PreparedStatement _pstmt =
		conn.prepareCall("INSERT INTO HYPERTEST (FILENAME,DESC) VALUES (?,?)");
	    
	    //_pstmt.clearParameters();	    	    
            _pstmt.setString(1, "MyFile");
            _pstmt.setString(2, "AFile");
            _pstmt.execute();	    	    
	    _pstmt.close();
	    
	    conn.close();

	    System.out.println("[ done ]...");
	    
	} catch (Exception e) {

	    e.printStackTrace();

	} // end of the try - catch

    } // end of the method .. .
    

} // end of the class .........
